/*
 *      sysutils.h
 *      
 *      Copyright 2009 - 2011 Alex <alex@linuxonly.ru>
 *      
 *      This program is free software: you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 3 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program. If not, see <http://www.gnu.org/licenses/>.
 */    


#ifndef __SYSUTILS_H__
#define __SYSUTILS_H__

#include <sys/stat.h>

char *sysutils_strdup_printf(const char *format, ...);
const char *sysutils_gethomedir(void);
const char *sysutils_getusername(void);
char *sysutils_getfilepath(char *path);
int sysutils_mkdirs(char *path, mode_t mode);
int sysutils_process_exists(pid_t pid);

#endif /* __SYSUTILS_H__ */
