/*
 *      devwindow.h
 *      
 *      Copyright 2011 Alex <alex@linuxonly.ru>
 *      
 *      This program is free software: you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 3 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __DEVWINDOW_H__
#define __DEVWINDOW_H__

#include <gtk/gtk.h>

enum {
	DEV_PREFERENCE_ID_MENU = -1,
	DEV_PREFERENCE_ID_DEVICE = 0,
	DEV_PREFERENCE_ID_DRIVER,
	DEV_PREFERENCE_ID_FRONTEND,
	DEV_PREFERENCE_ID_FILTERS,
};

void devwindow_update_page(gint preference);
gboolean devwindow_create(GtkWindow *parentwin);

#endif /* __DEVWINDOW_H__ */
