/*
 *      servicelist.h
 *      
 *      Copyright 2009 - 2012 Alex <alex@linuxonly.ru>
 *      
 *      This program is free software: you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 3 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __SERVICELIST_H__
#define __SERVICELIST_H__

#include <gtk/gtk.h>
#include "dbstorage.h"

gboolean servicelist_new(GtkWindow *rootwindow);
gboolean servicelist_add_service_cb(service *svc);
gboolean servicelist_update_service_cb(service *svc);
gboolean servicelist_remove_service_cb(service *svc);
gboolean servicelist_reload_net_services_cb(gpointer data);

#endif /* __SERVICELIST_H__ */
