/*
 *      soundmodules.h
 *      
 *      Copyright 2010-2012 Alex <alex@linuxonly.ru>
 *      
 *      This program is free software: you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 3 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

enum {
	SOUND_WAV_FILE_OPEN = 0,
	SOUND_WAV_FILE_READ,
	SOUND_WAV_FILE_REWIND,
	SOUND_WAV_FILE_CLOSE
};

struct _wavheader {
	gint fd;
	gshort format;
	gshort channels;
	gshort align;
	gshort bits;
	gulong samples_per_sec;
	gulong avg_bytes_per_sec;
	gulong len;
	gulong pos;
};

typedef struct _wavheader *wavheader_t;
