/*
 *      compression.h
 *      
 *      Copyright 2009 - 2011 Alex <alex@linuxonly.ru>
 *      
 *      This program is free software: you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 3 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program. If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef __COMPRESSION_H__
#define __COMPRESSION_H__

#include <stdio.h>
#include <stdlib.h>

int compression_gzip_http_compress(char *buffer, size_t bufsize);
int compression_zlib_compress(char *buffer, size_t bufsize, size_t datasize);
int compression_zlib_decompress(char *buffer, size_t bufsize, size_t datasize);

#endif /* __COMPRESSION_H__ */
