/*
 *      iso639.h
 *      
 *      Copyright 2011 Alex <alex@linuxonly.ru>
 *      
 *      This program is free software: you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 3 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __ISO639_H__
#define __ISO639_H__

struct _iso639lang {
	const char *family;
	const char *name;
	const char *nativename;
};

typedef struct _iso639lang iso639lang_t;

int iso639_get_lang_by_locale(char *locale, iso639lang_t *language);

#endif /* __ISO639_H__ */
