/*
 *      fswindow.h
 *      
 *      Copyright 2009 - 2011 Alex <alex@linuxonly.ru>
 *      
 *      This program is free software: you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 3 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __FSWINDOW_H__
#define __FSWINDOW_H__

#include <gtk/gtk.h>
#include "dbstorage.h"
#include "gsfcore.h"

#define FSWIN_COLOR_BACKGROUND  0x00
#define FSWIN_COLOR_TEXT        0x01
#define FSWIN_COLOR_HILEVEL     0x02
#define FSWIN_COLOR_MIDLEVEL    0x03
#define FSWIN_COLOR_LOWLEVEL    0x04
#define FSWIN_COLOR_NULL        0xff

void fswindow_display_signal_status(struct _frontend *frontend);
void fswindow_display_infobar(struct _service *svc);
gboolean fswindow_set_color(guint id, gdouble r, gdouble g, gdouble b);
gboolean fswindow_get_color(guint id, gdouble *r, gdouble *g, gdouble *b);
gboolean fswindow_init(void);
gboolean fswindow_create(void);

#endif /* __FSWINDOW_H__ */
