/*
 *      streamwindow.h
 *      
 *      Copyright 2011 Alex <alex@linuxonly.ru>
 *      
 *      This program is free software: you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 3 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __STREAMWINDOW_H__
#define __STREAMWINDOW_H__

#include <gtk/gtk.h>


enum {
	STREAM_PREFERENCE_ID_MENU = -1,
	STREAM_PREFERENCE_ID_STATS = 0,
	STREAM_PREFERENCE_ID_UDPBC,
	STREAM_PREFERENCE_ID_UDPMC,
	STREAM_PREFERENCE_ID_TCPUC,
};

void streamwindow_set_expired_page(gint preference);
void streamwindow_update_page(gint preference);
gboolean streamwindow_create(GtkWindow *parentwin);

#endif /* __STREAMWINDOW_H__ */
